# LinkedIn / LinkedIn Profile

Fetch a public LinkedIn person profile by URL: name, about, current company, and followers.

```
GET /api/v1/linkedin/profile
```

Auth: `Authorization: Bearer <SOCIFY_KEY>`  
Credits: 3 credits per request

## Parameters

| Name | Required | Description | Example |
|------|----------|-------------|---------|
| `url` | yes | LinkedIn profile URL. | `https://www.linkedin.com/in/satyanadella` |

## Example

```bash
curl -s 'https://trysocify.com/api/v1/linkedin/profile?url=https%3A%2F%2Fwww.linkedin.com%2Fin%2Fsatyanadella' \
  -H "Authorization: Bearer $SOCIFY_KEY"
```

## Response fields

| Field | Type | Description |
|-------|------|-------------|
| `name` | string | Display name. |
| `city` | string | City, when available. |
| `country_code` | string | Country code. |
| `about` | string | About / summary text. |
| `followers` | number | Follower count. |
| `connections` | number | Connection count, when available. |
| `current_company` | object | Current company object (name, link, id). |
| `url` | string | Canonical profile URL, when available. |
## Sample response

Successful lookups wrap the payload in `{ ok, platform, resource, params, data, meta }`. `data` is shown below.

```json
{
  "ok": true,
  "platform": "linkedin",
  "resource": "profile",
  "params": {
    "url": "https://www.linkedin.com/in/satyanadella"
  },
  "data": {
    "about": "Chairman and CEO at Microsoft.",
    "city": "Redmond",
    "connections": 500,
    "country_code": "US",
    "current_company": {
      "company_id": "microsoft",
      "link": "https://www.linkedin.com/company/microsoft",
      "name": "Microsoft"
    },
    "followers": 10842560,
    "name": "Satya Nadella",
    "url": "https://www.linkedin.com/in/satyanadella"
  },
  "meta": {
    "credits_charged": 3,
    "latency_ms": 420,
    "platform": "linkedin",
    "resource": "profile",
    "path": "/api/v1/linkedin/profile"
  }
}
```

## Links

- HTML docs: https://trysocify.com/docs/api/linkedin/profile
- SEO page: https://trysocify.com/linkedin/profile
- OpenAPI: https://trysocify.com/openapi.json
- Catalog: https://trysocify.com/catalog.json
